[Buildroot] [PATCH 1/1] package/kodi: add configure option to disable libusb support

Bernd Kuhls bernd.kuhls at t-online.de
Mon Mar 22 19:10:34 UTC 2021


Make sure libusb support is properly disabled even if the libusb
package is enabled.

Signed-off-by: Bernd Kuhls <bernd.kuhls at t-online.de>
---
 package/kodi/kodi.mk | 2 ++
 1 file changed, 2 insertions(+)

diff --git a/package/kodi/kodi.mk b/package/kodi/kodi.mk
index bf5822eb61..6edb0b7fca 100644
--- a/package/kodi/kodi.mk
+++ b/package/kodi/kodi.mk
@@ -206,6 +206,8 @@ KODI_CONF_OPTS += -DENABLE_UDEV=OFF
 ifeq ($(BR2_PACKAGE_KODI_LIBUSB),y)
 KODI_CONF_OPTS += -DENABLE_LIBUSB=ON
 KODI_DEPENDENCIES += libusb-compat
+else
+KODI_CONF_OPTS += -DENABLE_LIBUSB=OFF
 endif
 endif
 
-- 
2.29.2



More information about the buildroot mailing list